解决BT5下pcaprub的问题

这是因为在BT5中Pcap模块没有安装,其实解决这个问题很简单,在Metasploit 安装目录中找到pcaprub目录再编译或安装ruby模块.

​ 以/opt/framework3/msf3/external/pcaprub为例

​ 首先切换到此目录下

​ cd /opt/framework3/msf3/external/pcaprub

4256111C773.jpeg

​ 安装Pcap模块

​ ruby extconf.rb && make

​ make install

65CC6BC70BF.jpeg

​ 打开/opt/framework3/scripts/setenv.sh,添加pcaprub的路径:

​ vi /opt/framework3/scripts/setenv.sh

​ RUBYLIB=”…:/opt/framework3/ruby/lib/ruby/site_ruby/1.9.1/i686-linux:/opt/framework3/msf3/external/pcaprub“

EF09E429D199.png

​ 重启msfconsole即可正常使用

3AA27905B09E.png

-------------本文结束感谢您的阅读-------------
如有疑问或需要技术讨论,请发邮件到 zlem0n@foxmail.com